<?xml version="1.0"?>
<doc>
    <assembly>
        <name>CommonHelpers.2</name>
    </assembly>
    <members>
        <member name="T:CommonHelpers.CommonHelpers_2_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
        <member name="M:CommonHelpers.CommonHelpers_Console.Access">
            <exception cref="T:System.TypeInitializationException" />
        </member>
        <member name="T:CommonHelpers.HConsole">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HConsole.PerformExitionDialog">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformContinuationDialog">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformConfirmationDialog(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformConfirmationDialog(System.String,System.String[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformExitionDialog(System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformContinuationDialog(System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformConfirmationDialog(System.Boolean,System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformConfirmationDialog(System.Boolean,System.String,System.String[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.Boolean[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.Boolean[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.Boolean[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.Boolean[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.Boolean,System.Boolean[],System.ConsoleKey[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[],System.Boolean[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[],System.Boolean[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[],System.Boolean[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[],System.Boolean[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.Boolean,System.Boolean[],System.ConsoleKey[],System.ConsoleModifiers[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.ConsoleKey[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.ConsoleKey[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.ConsoleKey[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.ConsoleKey[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean,System.Boolean[],System.ConsoleKey[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.ConsoleKey[],System.ConsoleModifiers[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.ConsoleKey[],System.ConsoleModifiers[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.ConsoleKey[],System.ConsoleModifiers[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.ConsoleKey[],System.ConsoleModifiers[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean,System.Boolean[],System.ConsoleKey[],System.ConsoleModifiers[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.ConsoleKey,System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.ConsoleKey[],System.ConsoleKey,System.ConsoleModifiers,System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.Boolean,System.ConsoleKey[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.String,System.String[],System.Boolean,System.ConsoleKey[],System.ConsoleModifiers[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.ConsoleKey[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.ConsoleKey[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.ConsoleKey[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.ConsoleKey[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean,System.ConsoleKey[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.ConsoleKey[],System.ConsoleModifiers[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformDialog(System.Boolean,System.String,System.String[],System.Boolean,System.ConsoleKey[],System.ConsoleModifiers[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String[],System.Boolean[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String[],System.Boolean[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String[],System.Boolean[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String[],System.Boolean[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.String[],System.Boolean[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.String[],System.Boolean[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.String[],System.Boolean[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.String[],System.Boolean[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.Boolean,System.String[],System.Boolean[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.Boolean,System.String[],System.Boolean[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.Boolean,System.String[],System.Boolean[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.Boolean,System.String[],System.Boolean[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String[],System.Boolean[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String[],System.Boolean[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.String[],System.Boolean[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.String[],System.Boolean[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.String[],System.Boolean[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.String[],System.Boolean[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.Boolean,System.String[],System.Boolean[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.Boolean,System.String[],System.Boolean[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.Boolean,System.String[],System.Boolean[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.Boolean,System.String[],System.Boolean[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.String[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.String[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.String[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.String[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.Boolean,System.String[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.Boolean,System.String[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.Boolean,System.String[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.String,System.String,System.Boolean,System.String[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.String[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.String[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.String[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.String[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.Boolean,System.String[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.Boolean,System.String[],System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.Boolean,System.String[],System.String,System.ConsoleKey)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PerformNumberedDialog(System.Boolean,System.String,System.String,System.Boolean,System.String[],System.String,System.ConsoleKey,System.ConsoleModifiers)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.ProcessCancelEvent">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HConsole.WindowHandle">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.HConsole.ForegroundColor">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HConsole.InitialParentBackgroundColor">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HConsole.StdConIO">
            <exception cref="T:System.ComponentModel.Win32Exception" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HConsole.#ctor(CommonHelpers.HProxyConsoleSettings)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HNullValueException" />
        </member>
        <member name="M:CommonHelpers.HConsole.#ctor(System.IO.TextWriter)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InitializeStdAppConWrapper">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HConsole.VerifyOnStdAppConsole">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HConsole.VerifyInNativeVisualMode">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HConsole.VerifyReliesOnProxy">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HConsole.VerifyInTextWriterMode">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HConsole.VerifyNotInStdOutputBackground">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HConsole.VerifyNotInTextWriterMode">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HConsole.DeleteSystemMenuCloseItem">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HConsole.#ctor">
            <exception cref="T:System.ComponentModel.Win32Exception" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HConsole.AcceptInputKey(System.ConsoleKey[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.AcceptInputKey(System.ConsoleKey[],System.ConsoleModifiers[])">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.AcceptInputKey(System.ConsoleKey[],System.ConsoleModifiers[],System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.AcceptInputKey(CommonHelpers.HAcceptConsoleInputKeyCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.ResetInput">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HConsole.WaitInput">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.WaitInput(System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.AbortConsoleInput">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.ReadKey">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.ReadKeyIfAvailable(System.ConsoleKeyInfo@)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HConsole.Beep(System.Int32,System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HConsole.Clear">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HConsole.CancellationFormatString">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.HConsole.CancellationBeepFrequency">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="P:CommonHelpers.HConsole.CancellationBeepDuration">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="P:CommonHelpers.HConsole.NormalWidth">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:CommonHelpers.HConsole.NormalHeight">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:CommonHelpers.HConsole.HeaderFooterPaddingWidth">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:CommonHelpers.HConsole.InputArrowDashMinLength">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:CommonHelpers.HConsole.WaitInputPollingPause">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:CommonHelpers.HConsole.InputIdlePollingDefaultInterval">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:CommonHelpers.HConsole.OperationFormatString">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.HConsole.DialogPromptString">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.HConsole.DialogPromptFormatString">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.HConsole.FeaturedInscriptionFormatString">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.HConsole.ListItemPairSingleLigament">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.HConsole.ListItemPairMultipleLigament">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.HConsole.ListItemEquationLigament">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.HConsole.ListItemNumberValueSeparator">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(CommonHelpers.HConsoleInputOptions)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,CommonHelpers.HConsoleInputOptions)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Nullable{System.ConsoleColor})">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Nullable{System.ConsoleColor},CommonHelpers.HConsoleInputOptions)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Nullable{System.ConsoleColor},CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Nullable{System.ConsoleColor},CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Int32)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Int32,CommonHelpers.HConsoleInputOptions)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Int32,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Int32,CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Nullable{System.ConsoleColor},System.Int32)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Nullable{System.ConsoleColor},System.Int32,CommonHelpers.HConsoleInputOptions)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Nullable{System.ConsoleColor},System.Int32,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Nullable{System.ConsoleColor},System.Int32,CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputString(System.String,System.Nullable{System.ConsoleColor},System.Int32,System.Nullable{System.ConsoleColor},System.Nullable{System.ConsoleColor},CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String@)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String@,CommonHelpers.HConsoleInputOptions)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String@,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String@,CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.String@)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.String@,CommonHelpers.HConsoleInputOptions)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.String@,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.String@,CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Nullable{System.ConsoleColor},System.String@)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Nullable{System.ConsoleColor},System.String@,CommonHelpers.HConsoleInputOptions)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Nullable{System.ConsoleColor},System.String@,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Nullable{System.ConsoleColor},System.String@,CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Int32,System.String@)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Int32,System.String@,CommonHelpers.HConsoleInputOptions)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Int32,System.String@,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Int32,System.String@,CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Nullable{System.ConsoleColor},System.Int32,System.String@)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Nullable{System.ConsoleColor},System.Int32,System.String@,CommonHelpers.HConsoleInputOptions)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Nullable{System.ConsoleColor},System.Int32,System.String@,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Nullable{System.ConsoleColor},System.Int32,System.String@,CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="M:CommonHelpers.HConsole.InputStringModify(System.String,System.Nullable{System.ConsoleColor},System.Int32,System.String@,System.Nullable{System.ConsoleColor},System.Nullable{System.ConsoleColor},CommonHelpers.HConsoleInputOptions,CommonHelpers.HValidateConsoleInputCallback)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HAbortConsoleInputException" />
        </member>
        <member name="T:CommonHelpers.HConsoleKeyToStringCallback">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HAcceptConsoleInputKeyCallback">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HValidateConsoleInputCallback">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HConsoleInputIdlePollingCallback">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HConsoleInputOptions">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HAbortConsoleInputException">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HConsoleColorRetention">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HConsoleColorRetention.#ctor(CommonHelpers.HConsole,System.Nullable{System.ConsoleColor})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HConsoleColorRetention.#ctor(CommonHelpers.HConsole,System.Nullable{System.ConsoleColor},System.Nullable{System.ConsoleColor})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:CommonHelpers.HConsoleInputIdlePollingContext">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HConsoleNLFlush">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HConsoleNLFlush.#ctor(CommonHelpers.HConsole)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:CommonHelpers.HProxyConsoleSettings">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HApplicationSettingsBase">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.CmdLineParametersScan.CreateParseExceptionWithPos(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.CmdLineParametersScan.CreateParseExceptionWithPos(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.CmdLineParametersScan.CurrentChar">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="P:CommonHelpers.CmdLineParametersScan.PreviousCharacter">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.CmdLineParametersScan.#ctor(CommonHelpers.HCmdLineParametersParser,System.String,System.Int32)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.CmdLineParametersScan.ExtractParameters">
            <exception cref="T:CommonHelpers.HCmdLineParametersParseException" />
        </member>
        <member name="T:CommonHelpers.HCmdLineParametersParseException">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseException.#ctor(System.String,System.Int32)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseException.#ctor(System.String,System.Int32,System.Boolean)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseException.#ctor(System.String,System.Exception,System.Int32)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseException.#ctor(System.String,System.Exception,System.Int32,System.Boolean)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseException.AppendMessageComment(System.String,System.Nullable{System.Int32},System.Boolean)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:CommonHelpers.HCmdLineParametersParseExceptionCreator">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseExceptionCreator.Create(System.Int32,System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseExceptionCreator.Create(System.Int32,System.Boolean,System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseExceptionCreator.Create(System.Int32,System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParseExceptionCreator.Create(System.Int32,System.Boolean,System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:CommonHelpers.HCmdLineParametersParser">
            <summary>
            </summary>
            <summary>
            </summary>
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.LineOfParameters">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.FullCommandLine">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.ExeModulePath">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.IsFullCommandLine">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.ParamCount">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.HasParameters">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.Item(System.Int32)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.IndexOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetOptions">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.Parse(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HCmdLineParametersParseException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.Parse(System.String,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HCmdLineParametersParseException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.ParseProcessCommandLine">
            <exception cref="T:CommonHelpers.HCmdLineParametersParseException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetNakedParameters">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.VerifyParsed">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.VerifyNoParseAttempt">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.Parameters">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.SwitchKeyDictionary">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.UnnamedParameters">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.ParameterCount">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.SwitchKeyCount">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.HasSwitchKeys">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.UnnamedParamCount">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.HasUnnamedParameters">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParametersParser.Item(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.ContainsSwitchKey(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.StrictGetParameter(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.Collections.Generic.KeyNotFoundException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetParameterByIdx(System.Int32)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetSwitchKeyArguments(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.Collections.Generic.KeyNotFoundException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetSwitchKeyArgumentCount(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.Collections.Generic.KeyNotFoundException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetSwitchKeyArgCountOrMinusOne(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.Collections.Generic.KeyNotFoundException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetSwitchKeyArgument(System.String,System.Int32)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.Collections.Generic.KeyNotFoundException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetUnnamedParameter(System.Int32)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetUnnamedParameters">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetKeyArgConcatenation(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.Collections.Generic.KeyNotFoundException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetKeyArray">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetKeyArgConcatenations">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.AddSwitchKeyDef(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.AddSwitchKeyDef(System.String,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.AddSwitchKeyDef(System.String,CommonHelpers.HCmdLineKeyArgumentation)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.AddSwitchKeyDef(System.String,System.Boolean,CommonHelpers.HCmdLineKeyArgumentation)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.GetSwitchKeyDefinition(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.StrictGetSwitchKeyDefinition(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.Collections.Generic.KeyNotFoundException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.ConcatenateKeyArgs(System.String[])">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.StrictSwitchKeyArguments(System.String)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.Collections.Generic.KeyNotFoundException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParametersParser.ExamineKeys">
            <exception cref="T:CommonHelpers.HCmdLineParametersParseException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineKeyDefinition.#ctor(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineKeyDefinition.#ctor(System.String,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineKeyDefinition.#ctor(System.String,CommonHelpers.HCmdLineKeyArgumentation)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineKeyDefinition.#ctor(System.String,System.Boolean,CommonHelpers.HCmdLineKeyArgumentation)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:CommonHelpers.HCmdLineParameter">
            <summary>
            </summary>
        </member>
        <member name="P:CommonHelpers.HCmdLineParameter.SwitchKeyWithSign">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HCmdLineParameter.Item(System.Int32)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.#ctor(System.Int32,System.Int32,System.String,System.String,System.String,System.Boolean,System.String[],CommonHelpers.HCmdLineKeyDefinition)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.ComposeWrongSwitchKeyArgumentsMessage">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.ComposeWrongSwitchKeyArgumentsMessage(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.ComposeWrongSwitchKeyArgumentsMessage(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.ComposeWrongSwitchKeyArgumentsMessage(System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.ComposeWrongSwitchKeyArgumentsMessage(System.Boolean,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.ComposeWrongSwitchKeyArgumentsMessage(System.Boolean,System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.CreateWrongSwitchKeyArgumentsError">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.CreateWrongSwitchKeyArgumentsError(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.CreateWrongSwitchKeyArgumentsError(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.CreateWrongSwitchKeyArgumentsError(System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.CreateWrongSwitchKeyArgumentsError(System.Boolean,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HCmdLineParameter.CreateWrongSwitchKeyArgumentsError(System.Boolean,System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:CommonHelpers.HCmdLineParametersParseOptions">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.CommonHelpers_Plus.Access">
            <exception cref="T:System.TypeInitializationException" />
        </member>
        <member name="T:CommonHelpers.HXmlConfigurationBase">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateExceptionWithFile(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateExceptionWithFile(System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateExceptionWithPath(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateExceptionWithPath(System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateExceptionWithPathAndAttribute(System.String,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateExceptionWithPathAndAttribute(System.String,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateExceptionWithExplicitPath(System.String,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateExceptionWithExplicitPath(System.String,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateExceptionWithExplicitPathAndAttribute(System.String,System.String,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateExceptionWithExplicitPathAndAttribute(System.String,System.String,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.VerifyDocumentLoaded">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.VerifyCurrentElementSelected">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ValidateDocument">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.Xml.Schema.XmlSchemaValidationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ProvideErrorMessageWithFile(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ProvideErrorMessageWithFile(System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ProvideErrorMessageWithPath(System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ProvideErrorMessageWithPath(System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ProvideErrorMessageWithPathAndAttribute(System.String,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ProvideErrorMessageWithPathAndAttribute(System.String,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ProvideErrorMessageWithExplicitPath(System.String,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ProvideErrorMessageWithExplicitPath(System.String,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ProvideErrorMessageWithExplicitPathAndAttribute(System.String,System.String,System.String)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ProvideErrorMessageWithExplicitPathAndAttribute(System.String,System.String,System.String,System.Object[])">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.LoadDocument(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.IO.FileNotFoundException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.LoadDocumentFromText(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.LoadDocumentWithReader(System.IO.TextReader)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.SaveDocument">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.SaveDocument(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.SaveDocument(System.String,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.SetFilePath(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.LoadDocumentEx(System.String,System.IO.TextReader)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.IO.FileNotFoundException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="P:CommonHelpers.HXmlConfigurationBase.CurrentElement">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HNullValueException" />
        </member>
        <member name="P:CommonHelpers.HXmlConfigurationBase.CurrentElementPath">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HXmlConfigurationBase.IsCurrentElementSelected">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HXmlConfigurationBase.Document">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HXmlConfigurationBase.Attributes">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.HXmlConfigurationBase.AttributeValues">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.#ctor(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.Duplicate(System.Boolean)">
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateElement(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.CreateAndAppendElement(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.RemoveAttribute(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HObjectNotFoundException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.RemoveAttribute(System.String,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HObjectNotFoundException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.GetElementPath(System.Xml.XmlElement)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.GetCurrentElement">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.NormalizeElementPath(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.HasAttribute(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.AttributeValueOrNull(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.SetAttributeValue(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.SetAttributeValueAddRemove(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.SelectDocumentElement">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.SetCurentElement(System.Xml.XmlElement)">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.ResetCurentElement">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.NavigateTo(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.TryNavigateTo(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.GetAttributeValues(System.Xml.XmlNode,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigurationBase.GetChildElements(System.Xml.XmlNode)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:CommonHelpers.HBeeper">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HBeeper.VerifyFrequency(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HBeeper.VerifyDuration(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HBeeper.Beep(System.Double,System.Double)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HBeeper.Beep(System.Boolean,System.Double,System.Double)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HBeeper.SyncBeep(System.Double,System.Double)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HBeeper.Play(System.Double[])">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HBeeper.Play(System.Boolean,System.Double[])">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HBeeper.SyncPlay(System.Double[])">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:CommonHelpers.HPlaySoundCallback">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HAbortSoundCallback">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HSound">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HSounds">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HXmlConfigExceptionCreator">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HXmlConfigExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HXmlConfigExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:CommonHelpers.HXmlConfigurationException">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HXmlAttributeValueCollection">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HXmlAttributeValueCollection.#ctor">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HXmlAttributeValueCollection.#ctor(CommonHelpers.HXmlConfigurationBase)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HXmlAttributeValueCollection.VerifyGetDictionaryItem``2(``0,``1)">
            <exception cref="T:CommonHelpers.HNullValueException" />
            <exception cref="T:CommonHelpers.HXmlConfigurationException" />
        </member>
    </members>
</doc>
